Bug 110526 - [PATCH] alternatives --help output is not translated
[PATCH] alternatives --help output is not translated
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
2
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 14:12 EST by Miloslav Trmac
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 16:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adding gettext support to alternatives.c (11.22 KB, patch)
2003-11-24 10:10 EST, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Miloslav Trmac 2003-11-20 14:12:24 EST
Description of problem:
alternatives --help is in English even though the translation is
done and shipped with the package.

Version-Release number of selected component (if applicable):
chkconfig-1.3.9-1

To reproduce:
LC_ALL=cs_CZ.UTF-8 /usr/sbin/alternatives --help
Comment 1 Miloslav Trmac 2003-11-24 10:10:32 EST
Created attachment 96149 [details]
Patch adding gettext support to alternatives.c

Foo! You're tricking poor translators into translating alternatives.c and
not using the results! :)

This patch fixes that, along with marking a few more strings for traslation
and providing an updated Czech translation.

Please (make -C po update-po) after applying this patch.
Comment 2 Miloslav Trmac 2004-04-08 08:42:59 EDT
Same in chkconfig-1.3.9-1.1.
Comment 3 Bill Nottingham 2004-05-19 16:53:06 EDT
Added in 1.3.10-1.
Comment 4 John Flanagan 2004-08-18 11:13:12 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-332.html
Comment 5 Jay Turner 2004-09-01 23:28:39 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-333.html

Note You need to log in before you can comment on or make changes to this bug.